%def_disable static

%define oname glibmm
%define oname2 %oname-2.4
%define major 2.16

Name: libglibmm
Version: %major.1
Release: alt1

Summary: C++ wrapper for GLib

License: LGPL
Group: System/Libraries
Url: http://gtkmm.sourceforge.net/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: ftp://ftp.gnome.org/pub/gnome/sources/%oname/%major/%oname-%version.tar.bz2

# manually removed: gcc-g77 libg2c-devel
# Automatically added by buildreq on Sat Apr 12 2008
BuildRequires: gcc-c++ glibc-devel-static libgio-devel libsigc++2.0-devel

BuildPreReq: glib2-devel >= 2.14.0
BuildPreReq: rpm-build-compat >= 0.4

AutoReq: yes, noperl
%add_findreq_skiplist %_libdir/%oname2/proc/gmmproc
%add_findreq_skiplist %_libdir/%oname2/proc/pm/*

%description
A C++ interface for glib library.

This package contains the library needed to run programs dynamically
linked with %oname.

%package devel
Summary: Headers and development files of %oname
Group: Development/GNOME and GTK+
Requires: %name = %version-%release

%description devel
A C++ interface for glib library.

This package contains the headers and development files that are needed,
when trying to develop or compile applications which need %oname.

%package devel-static
Summary: Static libraries of %oname
Group: Development/GNOME and GTK+
Requires: %name-devel = %version-%release
Provides: %name-static-devel = %version-%release
Obsoletes: %name-static-devel

%description devel-static
A C++ interface for glib library.

This package contains the static libraries of %oname.

%package doc
Summary: %oname documentation
Group: Books/Other

%description doc
Gtkmm provides a C++ interface to the GTK+ GUI library.
%oname originally belongs to gtkmm, but is now separated,
for use with non-GUI software written in C++.

This package contains all API documentation for %oname.

%prep
%setup -q -n %oname-%version

%build
%configure %{subst_enable static}
%make_build

%install
%makeinstall_std gtkmm_docdir=%_docdir/%oname2

%post
%post_ldconfig

%postun
%postun_ldconfig

%files
%doc NEWS README
%_libdir/*.so.*

%files devel
%doc AUTHORS ChangeLog
%_includedir/%oname2/
%_includedir/giomm-2.4/
%_libdir/*.so
%_libdir/%oname2/
%_libdir/giomm-2.4/
%_pkgconfigdir/*.pc
%_aclocaldir/*.m4
%_datadir/devhelp/books/%oname2/

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%files doc
%_docdir/%oname2/

%changelog
* Sat Apr 12 2008 Vitaly Lipatov <lav@altlinux.ru> 2.16.1-alt1
- new version 2.16.1 (with rpmrb script)

* Sun Jan 13 2008 Vitaly Lipatov <lav@altlinux.ru> 2.14.2-alt1
- new version (2.14.2)
- rename source package to libglibmm
- cleanup spec

* Sun Apr 29 2007 Vitaly Lipatov <lav@altlinux.ru> 2.13.4-alt1
- new version 2.13.4 (with rpmrb script)

* Sat Apr 07 2007 Vitaly Lipatov <lav@altlinux.ru> 2.13.3-alt1
- new version 2.13.3 (with rpmrb script)

* Sun Nov 12 2006 Vitaly Lipatov <lav@altlinux.ru> 2.13.2-alt0.1
- new version 2.13.2 (with rpmrb script)

* Sat Sep 02 2006 Vitaly Lipatov <lav@altlinux.ru> 2.12.0-alt0.1
- new version 2.12.0 (with rpmrb script)

* Fri Jul 21 2006 Vitaly Lipatov <lav@altlinux.ru> 2.11.2-alt0.1
- new version 2.11.2 (with rpmrb script)
- use major in spec

* Tue Feb 21 2006 Vitaly Lipatov <lav@altlinux.ru> 2.9.1-alt0.1
- new version 2.9.1 (with rpmrb script)

* Sun Sep 11 2005 Vitaly Lipatov <lav@altlinux.ru> 2.8.0-alt1
- new version

* Thu Mar 17 2005 Vitaly Lipatov <lav@altlinux.ru> 2.6.1-alt1
- new version

* Thu Jan 20 2005 Vitaly Lipatov <lav@altlinux.ru> 2.5.4-alt1
- new version
- build with gcc3.4

* Sat Dec 18 2004 Vitaly Lipatov <lav@altlinux.ru> 2.5.1-alt1
- new version
- fix static package
- fix descriptions

* Mon Nov 08 2004 Vitaly Lipatov <lav@altlinux.ru> 2.4.5-alt1
- new version

* Sat Sep 04 2004 Vitaly Lipatov <lav@altlinux.ru> 2.4.4-alt1
- new version

* Thu Jul 15 2004 Vitaly Lipatov <lav@altlinux.ru> 2.4.3-alt1
- new version
- use a macro for ldconfig
- remove LICENSE from doc

* Wed Jun 09 2004 Vitaly Lipatov <lav@altlinux.ru> 2.4.2-alt1
- new version

* Mon May 24 2004 Vitaly Lipatov <lav@altlinux.ru> 2.4.1-alt1
- first build for Sisyphus (thanks Mandrake)

* Tue May 04 2004 Abel Cheung <deaddog@deaddog.org> 2.4.1-1mdk
- New version

* Tue Apr 27 2004 Abel Cheung <deaddog@deaddog.org> 2.4.0-1mdk
- First Mandrake package

